// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'

import Elementui from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css';
import store from './store/index.js';

import axios from 'axios'
Vue.prototype.$axios = axios    //全局注册，使用方法为:this.$axios

import AmapVue from '@amap/amap-vue';

import { get, post, postJson } from './api/http'

import Tool from './api/tool'
Vue.prototype.$tool = Tool;

Vue.config.productionTip = false

Vue.prototype.$get = get;
Vue.prototype.$post = post;
Vue.prototype.$postJson = postJson;

AmapVue.config.key = '5ae8644771ef9abf9cfb3ea23b1df6ca';
Vue.use(AmapVue);
Vue.use(Elementui)

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  render: h => h(App)
}).$mount('#app')
